Package org.jfree.report.modules.data.sql

# Interface ConnectionProvider

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `DriverConnectionProvider`, `StaticConnectionProvider`

public interface ConnectionProvider extends Serializable
Creation-Date: 07.04.2006, 14:54:29

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getConnection()`

## Method Details

### getConnection

Connection getConnection() throws SQLException

Throws:
  `SQLException`